#Include once "window9.bi"

Sub SetRunOnlyExe() export
  Dim As String*512 Nameinst
  GetModuleFileName(0,Cast(LPSTR,@Nameinst),512)
  Nameinst=ReplaceString(GetFilePart(Nameinst),".exe","")
  if CreateSemaphore(0, 0, 1,Nameinst )<>0 and GetLastError() = ERROR_ALREADY_EXISTS then
    ' копия процесса уже была запущена
    End 1
  end If
End sub
